# helm file install
helm_checksum: sha256:950439759ece902157cf915b209b8d694e6f675eaab5099fb7894f30eeaee9a2
helm_version: v3.10.3

# cmoa info
cmoa_namespace: imxc
cmoa_version: rel3.5.5

# files/00-default in role 
docker_secret_file: secret_nexus.yaml

# all, jaeger, jspd
#imxc_ui: jspd

# [docker_config_path]
docker_config_nexus: dockerconfig/docker_config_nexus.json

# [jaeger]
jaeger_servicename: imxc-ui-service-jaeger
jaeger_service_port: 80
jaeger_nodePort: 31080 # only imxc-ui-jaeger option (imxc-ui-jaeger template default port=31084)

# [minio]
minio_service_name: minio
minio_service_port: 9000
minio_nodePort: 32002
minio_user: cloudmoa
minio_pass: admin1234
bucket_name: cortex-bucket
days: 32
rule_id: cloudmoa

# [Elasticsearch]
elasticsearch_service_name: elasticsearch
elasticsearch_service_port: 9200
elasticsearch_nodePort: 30200

# [postgres]
postgres_service_name: postgres
postgres_service_port: 5432
postgres_nodePort: 32431

# [Keycloak]
# Keycloak configuration settings
keycloak_http_port: 31082
keycloak_https_port: 8443
keycloak_management_http_port: 31990
keycloak_realm: exem

# Keycloak administration console user
keycloak_admin_user: admin
keycloak_admin_password: admin
keycloak_auth_realm: master
keycloak_auth_client: admin-cli
keycloak_context: /auth
keycloak_login_theme: CloudMOA_V2

# keycloak_clients
keycloak_clients:
  - name: 'authorization_server'
    client_id: authorization_server
    realm: exem
    redirect_uris: "http://{{ ansible_default_ipv4.address }}:31080/*,http://localhost:8080/*,http://localhost:8081/*"
    public_client: True

# default ip/version (not change)
before_ip: 111.111.111.111
before_version: rel0.0.0

# docker or nexus
REPO: dockerhub
